/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class CalculMax {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));
  
  /* Fonction de calcul du maximum de deux entiers        */
  /* v1,v2 : entiers a traiter                            */
  /* Resultat de la fonction : entier                     */

  public static int max(int v1,int v2) {
  /* Comparaison de v1 et v2 pour retourner               */
  /* le plus grand des deux                               */
    if ( v1 >= v2 )
      return(v1);
      else
      return(v2);
  }
  
  /* Fonction de calcul du maximum de trois entiers       */
  /* v1,v2,v3 : entiers a traiter                         */
  /* Resultat de la fonction : entier                     */

  public static int max(int v1,int v2,int v3) {
  /* Comparaison de v1 vis a vis de v2 et v3              */
  /* pour le retourner s'il leur est superieur ou egal    */
    if ( ( v1 >= v2 ) && ( v1 >= v3 ) )
      return(v1);
      else
  /* Si ce n'est pas v1, on compare v2 et v3              */
  /* pour retourner le plus grand des deux                */
      if ( v2 >= v3 )
        return(v2);
        else
        return(v3);
  }
  
  /* Fonction de calcul du maximum de trois entiers       */
  /* v1,v2,v3 : entiers a traiter                         */
  /* Resultat de la fonction : entier                     */

  public static int max2(int v1,int v2,int v3) {
  /* Le maximum de trois valeur est le maximum            */
  /* de la premiere valeur et du maximum des deux autres  */
  /* valeurs                                              */
    return(max(v1,max(v2,v3)));
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) throws IOException {
  /* Lecture au clavier des trois entiers a traiter       */
    System.out.print("Premier nombre   : ");
    int v1 = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Deuxieme nombre  : ");
    int v2 = Integer.valueOf(flux.readLine()).intValue();
    System.out.print("Troisieme nombre : ");
    int v3 = Integer.valueOf(flux.readLine()).intValue();
  /* Calcul et affichage du maximum                       */
  /* des deux premieres valeurs                           */
    int max2 = max(v1,v2);
    System.out.println("La valeur maximale de "+v1+" et "+v2+" est "+max2);
  /* Calcul et affichage du maximum des trois valeurs     */
    int max3 = max(v1,v2,v3);
    System.out.println("La valeur maximale de "+v1+", "+v2+" et "+v3+" est "+max3);
  /* Calcul et affichage du maximum des trois valeurs     */
    max3 = max2(v1,v2,v3);
    System.out.println("La valeur maximale de "+v1+", "+v2+" et "+v3+" est "+max3);
  }
}